const emojiReadTime = require("@11tyrocks/eleventy-plugin-emoji-readtime");
const pluginRss = require("@11ty/eleventy-plugin-rss");
const metagen = require('eleventy-plugin-metagen');

module.exports = function(eleventyConfig) {
  eleventyConfig.addPassthroughCopy("./content/images");
  eleventyConfig.addPlugin(emojiReadTime);
  eleventyConfig.addPlugin(pluginRss);
  eleventyConfig.addPlugin(metagen);

  return {
    htmlTemplateEngine: "njk",
    markdownTemplateEngine: "md",
    dir: {
      includes: "../_includes",
      layouts: "../_includes",
      input: "content",
      output: "_site"
    }
  }
};
